# Buffer.BufferException (sshj 0.4.0 API)
Date: 2011-06-06

## net.schmizz.sshj.common
Class Buffer.BufferException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.io.IOException
                  net.schmizz.sshj.common.SSHException
                      net.schmizz.sshj.common.Buffer.BufferException

All Implemented Interfaces:
  Serializable

Enclosing class:
  Buffer<T extends Buffer<T>>

    public static class Buffer.BufferException

extends SSHException

See Also:
  Serialized Form

Field Summary

Fields inherited from class net.schmizz.sshj.common.SSHException
`chainer`

Constructor Summary
`Buffer.BufferException(String message)`

Method Summary

Methods inherited from class net.schmizz.sshj.common.SSHException
`getDisconnectReason, getMessage, toString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Buffer.BufferException

    public Buffer.BufferException(String message)

Copyright © 2009-2011. All Rights Reserved.